QGIS Application - Bug report #16816
Clipper not working correctly in QGIS 2.18.10
2017-07-08 11:47 PM - Mario Reyes

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:2.18.10 Regression?: No

Operating System: Windows 64 bits Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24715
Description

I’'ve been trying to clip a raster with a mask layer using the clipper tool, but | get the message "Output driver GMT' not recognised or does
not support direct output file creation.". | know | can edit the code and change the output from GMT to GeoTiff, but for a novice user is not
straightforward. It works correctly with the 2.18.9 version.

History

#1 - 2017-07-09 04:43 PM - Giovanni Manghi
- Category changed from Processing/Core to Processing/GDAL
- Status changed from Open to Feedback

tested both the GDAL tool (which | guess is what you are using) and the SAGA one, they both work as expected. Windows 7 and 2.18.10.

#2 - 2017-07-10 07:29 AM - Mario Reyes

Giovanni Manghi wrote:

tested both the GDAL tool (which | guess is what you are using) and the SAGA one, they both work as expected. Windows 7 and 2.18.10.

| had a problem with my computer with Windows 10 64 bit, but tested the tool in QGIS 2.18.10 and Windows 32 bits and works as expected. It's weird

because three different people had the same problem a couple of days ago. Guess it was something that was corrected. Thanks.

#3 - 2017-07-10 12:37 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Mario Reyes wrote:

Giovanni Manghi wrote:

tested both the GDAL tool (which I guess is what you are using) and the SAGA one, they both work as expected. Windows 7 and 2.18.10.

I had a problem with my computer with Windows 10 64 bit, but tested the tool in QGIS 2.18.10 and Windows 32 bits and works as expected. It's

weird because three different people had the same problem a couple of days ago. Guess it was something that was corrected. Thanks.
my testing environments are all 64 bits. Please add further comments if you find a way to replicate the issue.

#4 - 2017-07-14 01:31 PM - Christophe Bayle

My 2 cents: just got the same problem with another version (windows 7, 64 bits, 2.18.0) and solved it like Mario Reyes suggested (change manually the

driver's name).

Dont really know how to replicate, but some projects "have" the problem, some others don't...

#5 - 2017-07-14 01:33 PM - Giovanni Manghi

Christophe Bayle wrote:

My 2 cents: just got the same problem with another version (windows 7, 64 bits, 2.18.0) and solved it like Mario Reyes suggested (change manually

the driver's name)

you also probably have an old version of Processing masking the newest one shipped with your ggis installation.

#6 - 2017-08-07 08:22 AM - Andre Joost

| still have the same problem with current QGIS 2.18.11:

Using gdalwarp, | select a new filename for output, then QGIS adds a -of VRT to the command line.

No matter which file type | choose in the Select dialogue, always VRT is chosen.

In the Windows registry, | found the key

HKEY_CURRENT_USER\Software\QGIS\QGIS2\GdalTools\lastRasterFileFilter

Set to Virtual Raster (*.vrt *.VRT). When | delete the key, QGIS reacts as expected, adding the correct -of ... according to the file type selection.

Maybe this key was set in a previous QGIS version, but not cleared later. Anyway, seems to be related to GdalTools, and not processing.
